# Class ConcurrentLruCache<T>

java.lang.Object
org.apache.tomcat.util.collections.ConcurrentLruCache<T>

public class ConcurrentLruCache<T> extends Object

## Constructor Summary

Constructors
Constructor
Description
`ConcurrentLruCache(int limit)`

## Method Summary

Modifier and Type
Method
Description
`void`
`add(T entry)`
`void`
`clear()`
`boolean`
`contains(T entry)`
`int`
`getLimit()`
`void`
`setLimit(int limit)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ConcurrentLruCache

public ConcurrentLruCache(int limit)

## Method Details

### add

public void add(T entry)

### contains

public boolean contains(T entry)

### clear

public void clear()

### setLimit

public void setLimit(int limit)

### getLimit

public int getLimit()